## org.apache.batik.css.dom
Class CSSOMValue.FloatComponent

    java.lang.Object
      org.apache.batik.css.dom.CSSOMValue.AbstractComponent
          org.apache.batik.css.dom.CSSOMValue.FloatComponent

All Implemented Interfaces:
  org.w3c.dom.css.CSSPrimitiveValue, org.w3c.dom.css.CSSValue

Direct Known Subclasses:
  CSSOMValue.BlueComponent, CSSOMValue.BottomComponent, CSSOMValue.GreenComponent, CSSOMValue.LeftComponent, CSSOMValue.RedComponent, CSSOMValue.RightComponent, CSSOMValue.TopComponent

Enclosing class:
  CSSOMValue

protected abstract class CSSOMValue.FloatComponent
extends CSSOMValue.AbstractComponent

To store a Float component.

Field Summary

Fields inherited from interface org.w3c.dom.css.CSSPrimitiveValue
`CSS_ATTR, CSS_CM, CSS_COUNTER, CSS_DEG, CSS_DIMENSION, CSS_EMS, CSS_EXS, CSS_GRAD, CSS_HZ, CSS_IDENT, CSS_IN, CSS_KHZ, CSS_MM, CSS_MS, CSS_NUMBER, CSS_PC, CSS_PERCENTAGE, CSS_PT, CSS_PX, CSS_RAD, CSS_RECT, CSS_RGBCOLOR, CSS_S, CSS_STRING, CSS_UNKNOWN, CSS_URI`

Fields inherited from interface org.w3c.dom.css.CSSValue
`CSS_CUSTOM, CSS_INHERIT, CSS_PRIMITIVE_VALUE, CSS_VALUE_LIST`

Constructor Summary
`protected` `CSSOMValue.FloatComponent()`

Method Summary
`void` `setStringValue(short stringType, java.lang.String stringValue)` DOM: Implements `CSSPrimitiveValue.setStringValue(short,String)`.

Methods inherited from class org.apache.batik.css.dom.CSSOMValue.AbstractComponent
`getCounterValue, getCssText, getCssValueType, getFloatValue, getLength, getPrimitiveType, getRectValue, getRGBColorValue, getStringValue, getValue, item`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.css.CSSPrimitiveValue
`setFloatValue`

Methods inherited from interface org.w3c.dom.css.CSSValue
`setCssText`

Constructor Detail

### CSSOMValue.FloatComponent

    protected CSSOMValue.FloatComponent()

Method Detail

### setStringValue

    public void setStringValue(short stringType,
                               java.lang.String stringValue)
                        throws org.w3c.dom.DOMException

  DOM: Implements `CSSPrimitiveValue.setStringValue(short,String)`.

  Throws:
    `org.w3c.dom.DOMException`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.